petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatFindNonzeroRows

Locate all rows that are not completely zero in the matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFindNonzeroRows(Mat mat,IS *keptrows)

### Input Parameter

A -the matrix

### Output Parameter

keptrows -the rows that are not completely zero

### Notes

keptrows is set to NULL if all rows are nonzero.

### Level

intermediate

### Location

src/mat/interface/matrix.c

### Implementations

MatFindNonzeroRows_MPIAIJ in src/mat/impls/aij/mpi/mpiaij.c
MatFindNonzeroRows_SeqAIJ in src/mat/impls/aij/seq/aij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages